Package twisted :: Package im :: Module tocsupport :: Class TOCAccount

[show private | hide private]
[frames | no frames]

## Class TOCAccount

      Versioned --+
                  |
    AbstractAccount --+
                      |
                     TOCAccount

Method Summary
| `__init__(self, accountName, autoLogin, username, password, host, port)` (inherited from `AbstractAccount`)
| `__getstate__(self)` (inherited from `AbstractAccount`)
| `__repr__(self)` (inherited from `AbstractAccount`)
| `__setstate__(self, state)` (inherited from `Versioned`)
| ``getGroup`(self, name)` Group factory. (inherited from `AbstractAccount`)
| ``getPerson`(self, name)` Person factory. (inherited from `AbstractAccount`)
| `isOnline(self)` (inherited from `AbstractAccount`)
Deferred `interfaces.IClient` | ``logOn`(self, chatui)` Log on to this account. (inherited from `AbstractAccount`)
| `upgrateToVersion2(self)` (inherited from `AbstractAccount`)
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)

Class Variable Summary
`tuple` | `__implements__`
`str` | `gatewayType`
`class` | `TOCGroup`
`class` | `TOCPerson`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class 'twisted.im.interfaces.IAccount'>,)

### gatewayType

  Type:
    `str`
  Value:

        'AIM (TOC)'

### TOCGroup

`TOCGroup` = `twisted.im.tocsupport.TOCGroup`

### TOCPerson

`TOCPerson` = `twisted.im.tocsupport.TOCPerson`

Generated by Epydoc 1.1 on Thu May 8 13:16:26 2003 | http://epydoc.sf.net